List Edge Servers
Get all edge servers registered in the system
Last updated: March 26, 2026
GET
/api/v1/edgesDescription
API to retrieve a list of edge servers. The result is paginated based on the provided query parameters. Refer to Edge Server for more information about the edge object.
Authentication
Access Token is required.
Refer to Authentication for more information.
Query Parameters
page
Optional
integer ||
1Page number for pagination (must be > 0)
size
Optional
integer ||
10Number of items per page (must be > 0 and < 101)
Response
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
{
"results": [
{
"id": "string",
"name": "string",
"description": "string",
"status": "enum(active | inactive)",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"total_cnt": 100,
"page": 1,
"size": 10,
"max_page": 10
}Request Examples
Simple Request
1
2
3
4
5
6
7
8
const response = await fetch('http://{{EDGE_IP}}:8100/api/v1/edges?page=1&size=10', {
method: 'GET',
headers: {
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();